Cria ou atualiza um usuário com perfil de agente supervisor.
POST
/chatapi/1.0/api/v2/users/save/agent-supervisor
curl \
--request POST 'https://api.neppo.com.br/chatapi/1.0/api/v2/users/save/agent-supervisor' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{"active":true,"agentAllHistory":true,"agentAllHistoryOperation":true,"agentAttendSimple":true,"agentToken":"string","agentViewPhone":true,"birthDate":"string","chatAgent":true,"department":"string","displayName":"string","email":"string","firstAccess":true,"groupsId":[42],"id":42,"maxChatChannels":42,"operationsId":[42],"password":"string","pauseOnReceiveCall":true,"phone":"string","priority":42,"profile":{"createdAt":"2026-05-04T09:42:00Z","createdBy":"string","id":42,"name":"string","typeUser":"string","updatedAt":"2026-05-04T09:42:00Z","updatedBy":"string","visible":true},"socialToken":"string","superAgent":true,"userName":"string","usingMFA":true,"virtualAgent":true,"voice":{"agentBusyDelayTime":42,"agentCallTimeout":42,"agentContact":"string","agentId":"string","agentMaxNoAnswer":42,"agentName":"string","agentNoAnswerDelayTime":42,"agentRejectDelayTime":42,"agentType":"string","agentWrapUpTime":42,"extension":{"callTimeout":42,"effectiveCallerIdName":"string","effectiveCallerIdNumber":"string","extension":"string","forwardAllDestination":"string","forwardBusyDestination":"string","forwardNoAnswerDestination":"string","forwardUserNotRegisteredDestination":"string","maxRegistrations":42,"numberAlias":"string","outboundCallerIdName":"string","outboundCallerIdNumber":"string","password":"string","userContext":"string"}}}'
Request examples
{
"active": true,
"agentAllHistory": true,
"agentAllHistoryOperation": true,
"agentAttendSimple": true,
"agentToken": "string",
"agentViewPhone": true,
"birthDate": "string",
"chatAgent": true,
"department": "string",
"displayName": "string",
"email": "string",
"firstAccess": true,
"groupsId": [
42
],
"id": 42,
"maxChatChannels": 42,
"operationsId": [
42
],
"password": "string",
"pauseOnReceiveCall": true,
"phone": "string",
"priority": 42,
"profile": {
"createdAt": "2026-05-04T09:42:00Z",
"createdBy": "string",
"id": 42,
"name": "string",
"typeUser": "string",
"updatedAt": "2026-05-04T09:42:00Z",
"updatedBy": "string",
"visible": true
},
"socialToken": "string",
"superAgent": true,
"userName": "string",
"usingMFA": true,
"virtualAgent": true,
"voice": {
"agentBusyDelayTime": 42,
"agentCallTimeout": 42,
"agentContact": "string",
"agentId": "string",
"agentMaxNoAnswer": 42,
"agentName": "string",
"agentNoAnswerDelayTime": 42,
"agentRejectDelayTime": 42,
"agentType": "string",
"agentWrapUpTime": 42,
"extension": {
"callTimeout": 42,
"effectiveCallerIdName": "string",
"effectiveCallerIdNumber": "string",
"extension": "string",
"forwardAllDestination": "string",
"forwardBusyDestination": "string",
"forwardNoAnswerDestination": "string",
"forwardUserNotRegisteredDestination": "string",
"maxRegistrations": 42,
"numberAlias": "string",
"outboundCallerIdName": "string",
"outboundCallerIdNumber": "string",
"password": "string",
"userContext": "string"
}
}
}
Response examples (200)
{}